Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodValue

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.SmartValue
            |
            +--com.beasys.commerce.ebusiness.shipping.ShippingMethodValue

All Implemented Interfaces:
  Serializable

public class ShippingMethodValue
extends SmartValue

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculations.

See Also:
  Serialized Form

Field Summary
`int` | `averageShippingTime` The average delivery time.
`String` | `carrier` The service provider used for delivery.
`String` | `costCalculationMechanism` Used to specify one of the pre-programmed shipping cost calculation mechanisms.
`String` | `description` A textual description of this shipping mechanism.
`String` | `identifier` A key that uniquely identifies this shipping method.
`boolean` | `internationalDelivery` True if this mechanism will deliver internationally.
`String` | `method` The mechanism by which the item will be shipped.
`String` | `packagingType` The packaging type.
`double` | `percentage` Used when the shipping cost is a percentage of the total value of the order.
`boolean` | `poBoxAllowed` True if this mechanism will allow delivery to a post office box.
`Money` | `price` The base shipping cost.
`String` | `restrictions` A description of any restrictions that apply to this shipping mechanism.
`boolean` | `saturdayDelivery` True if ths shipping mechanism will deliver on a Saturday.
`boolean` | `signatureRequired` True if the customer is required to acknowledge delivery with a signature.
`double` | `sizeLimit` The maximum deliverable quantity.
`double` | `weightLimit` The maximum weight limit for this shipping mechanism.

Constructor Summary
`protected` | `ShippingMethodValue()` Only get/setShippingMethodByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  A key that uniquely identifies this shipping method.

### sizeLimit

    public double sizeLimit

  The maximum deliverable quantity.

### description

    public String description

  A textual description of this shipping mechanism.

### signatureRequired

    public boolean signatureRequired

  True if the customer is required to acknowledge delivery with a signature.

### weightLimit

    public double weightLimit

  The maximum weight limit for this shipping mechanism.

### percentage

    public double percentage

  Used when the shipping cost is a percentage of the total value of the order.

### poBoxAllowed

    public boolean poBoxAllowed

  True if this mechanism will allow delivery to a post office box.

### restrictions

    public String restrictions

  A description of any restrictions that apply to this shipping mechanism.

### averageShippingTime

    public int averageShippingTime

  The average delivery time.

### carrier

    public String carrier

  The service provider used for delivery.

### saturdayDelivery

    public boolean saturdayDelivery

  True if ths shipping mechanism will deliver on a Saturday.

### price

    public Money price

  The base shipping cost.

### packagingType

    public String packagingType

  The packaging type.

### costCalculationMechanism

    public String costCalculationMechanism

  Used to specify one of the pre-programmed shipping cost calculation mechanisms.
  - Policy:Uses the Shipping Cost Calculation Policy to determine the total cost.
  - FlatRate: A single flat rate price is returned as specified in the price field.
  - PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost.
  - Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.

### method

    public String method

  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..

### internationalDelivery

    public boolean internationalDelivery

  True if this mechanism will deliver internationally.

Constructor Detail

### ShippingMethodValue

    protected ShippingMethodValue()

  Only get/setShippingMethodByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved